Package com.google.android.exoplayer2.metadata.vorbis

## Class VorbisComment

- java.lang.Object
- - com.google.android.exoplayer2.metadata.flac.VorbisComment
  - - com.google.android.exoplayer2.metadata.vorbis.VorbisComment

- All Implemented Interfaces:
    `Parcelable`, `Metadata.Entry`

      public final class VorbisComment
      extends VorbisComment

  A vorbis comment, extracted from a FLAC or Ogg file.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `Parcelable.ClassLoaderCreator<T extends Object>, Parcelable.Creator<T extends Object>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Parcelable.Creator<VorbisComment>` | `CREATOR` |

    - ### Fields inherited from class com.google.android.exoplayer2.metadata.flac.VorbisComment

      `key, value`

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VorbisComment​(String key, String value)` |

  - ### Method Summary

    - ### Methods inherited from class com.google.android.exoplayer2.metadata.flac.VorbisComment

      `describeContents, equals, hashCode, populateMediaMetadata, toString, writeToParcel`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.android.exoplayer2.metadata.Metadata.Entry

      `getWrappedMetadataBytes, getWrappedMetadataFormat`

- - ### Field Detail

    - #### CREATOR

          public static final Parcelable.Creator<VorbisComment> CREATOR

  - ### Constructor Detail

    - #### VorbisComment

          public VorbisComment​(String key,
                               String value)

      Parameters:
        `key` - The key.
        `value` - The value.